# Release

## GET /ux/sd/release/conversation/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/release/conversation/":{"get":{"operationId":"ux_sd_release_conversation_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Release"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /ux/sd/release/conversation/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/release/conversation/":{"post":{"operationId":"ux_sd_release_conversation_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Release"],"responses":{"201":{"description":"No response body"}}}}}}
```

## GET /ux/sd/release/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/release/conversation/{id}/":{"get":{"operationId":"ux_sd_release_conversation_retrieve_2","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /ux/sd/release/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/release/conversation/{id}/":{"put":{"operationId":"ux_sd_release_conversation_update","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /ux/sd/release/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/release/conversation/{id}/":{"delete":{"operationId":"ux_sd_release_conversation_destroy","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Gets a list of releases

> This endpoint is used to fetch all the release in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/":{"get":{"operationId":"ux_sd_release_release_list","description":"This endpoint is used to fetch all the release in the current organization","summary":"Gets a list of releases","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReleaseList"}}}},"description":""}}}}}}
```

## Creates a new release&#x20;

> This endpoint is used to save a new release for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/release/release/":{"post":{"operationId":"ux_sd_release_release_create","description":"This endpoint is used to save a new release for the current organization","summary":"Creates a new release ","tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a request with the given id

> This endpoint is used to fetch a request details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/{id}/":{"get":{"operationId":"ux_sd_release_release_retrieve","description":"This endpoint is used to fetch a request details in the current organization","summary":"Gets a request with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## Edits the release with given id

> This endpoint is used to edit an existing release for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/{id}/":{"put":{"operationId":"ux_sd_release_release_update","description":"This endpoint is used to edit an existing release for the current organization","summary":"Edits the release with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## Deletes the release with given id

> This endpoint is used to delete an existing release for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/release/release/{id}/":{"delete":{"operationId":"ux_sd_release_release_destroy","description":"This endpoint is used to delete an existing release for the current organization","summary":"Deletes the release with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Add attachments for the selected release.

> This endpoint is used to add new attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/add-attachment/":{"post":{"operationId":"ux_sd_release_release_add_attachment_create","description":"This endpoint is used to add new attachments.","summary":"Add attachments for the selected release.","tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## Gets attachments for the selected release.

> This endpoint is used to fetch the attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/attachment/":{"get":{"operationId":"ux_sd_release_release_attachment_retrieve","description":"This endpoint is used to fetch the attachments.","summary":"Gets attachments for the selected release.","tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## POST /ux/sd/release/release/delete-release-risk/{id}/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/delete-release-risk/{id}/":{"post":{"operationId":"ux_sd_release_release_delete_release_risk_create","description":"API endpoint that allows Request to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## POST /ux/sd/release/release/delete\_release/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/delete_release/":{"post":{"operationId":"ux_sd_release_release_delete_release_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## Gets history for the selected release.

> This endpoint is used to fetch the history.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/history/":{"get":{"operationId":"ux_sd_release_release_history_retrieve","description":"This endpoint is used to fetch the history.","summary":"Gets history for the selected release.","tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/impact-list/{id}/

> function to get impact list\
> :param request:\
> :return: object

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/impact-list/{id}/":{"get":{"operationId":"ux_sd_release_release_impact_list_retrieve","description":"function to get impact list\n:param request:\n:return: object","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/options/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/options/":{"get":{"operationId":"ux_sd_release_release_options_retrieve","description":"API endpoint that allows Request to be viewed or edited.","tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## Get rich text data

> This endpoint is used to get the rich text data.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/process-rich-text/":{"get":{"operationId":"ux_sd_release_release_process_rich_text_retrieve","description":"This endpoint is used to get the rich text data.","summary":"Get rich text data","tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/release-data/{id}/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/release-data/{id}/":{"get":{"operationId":"ux_sd_release_release_release_data_retrieve","description":"API endpoint that allows Request to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/release-impact/{id}/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/release-impact/{id}/":{"get":{"operationId":"ux_sd_release_release_release_impact_retrieve","description":"API endpoint that allows Request to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/release-risk/{id}/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/release-risk/{id}/":{"get":{"operationId":"ux_sd_release_release_release_risk_retrieve","description":"API endpoint that allows Request to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/release-task/{id}/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/release-task/{id}/":{"get":{"operationId":"ux_sd_release_release_release_task_retrieve","description":"API endpoint that allows Request to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/requester\_search/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/requester_search/":{"get":{"operationId":"ux_sd_release_release_requester_search_retrieve","description":"API endpoint that allows Request to be viewed or edited.","tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/risk-list/{id}/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/risk-list/{id}/":{"get":{"operationId":"ux_sd_release_release_risk_list_retrieve","description":"API endpoint that allows Request to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## POST /ux/sd/release/release/save-release-impact/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/save-release-impact/":{"post":{"operationId":"ux_sd_release_release_save_release_impact_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## POST /ux/sd/release/release/save-release-risk/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/save-release-risk/":{"post":{"operationId":"ux_sd_release_release_save_release_risk_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## POST /ux/sd/release/release/save-release-task/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/save-release-task/":{"post":{"operationId":"ux_sd_release_release_save_release_task_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## Save rich text data

> This endpoint is used to save the rich text data.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/save-rich-text/":{"post":{"operationId":"ux_sd_release_release_save_rich_text_create","description":"This endpoint is used to save the rich text data.","summary":"Save rich text data","tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/task-list/{id}/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/task-list/{id}/":{"get":{"operationId":"ux_sd_release_release_task_list_retrieve","description":"API endpoint that allows Request to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## POST /ux/sd/release/release/workflow\_options\_map/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/workflow_options_map/":{"post":{"operationId":"ux_sd_release_release_workflow_options_map_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Release"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ReleaseList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```

## GET /ux/sd/release/release/workflow\_status/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ReleaseList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"release_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_archive":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"release_manager":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"}},"required":["release_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/release/release/workflow_status/":{"get":{"operationId":"ux_sd_release_release_workflow_status_retrieve","description":"API endpoint that allows Request to be viewed or edited.","tags":["Release"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseList"}}},"description":""}}}}}}
```
